# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "easyfix-messages"
version = "0.6.1"
authors = ["Łukasz Dańko <lukasz.danko@gmail.com>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Easy FIX (Financial Information Exchange) toolset - messages."
readme = "README.md"
license = "MIT"
repository = "https://github.com/ldanko/easyfix"

[lib]
name = "easyfix_messages"
path = "src/lib.rs"

[[bin]]
name = "serialize_deserialize"
path = "src/bin/serialize_deserialize.rs"

[[test]]
name = "messages"
path = "tests/messages.rs"

[[bench]]
name = "serialize_deserialize"
path = "benches/serialize_deserialize.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.chrono]
version = "0.4.38"
features = ["serde"]

[dependencies.itoa]
version = "1.0"

[dependencies.rust_decimal]
version = "1.36"
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"

[dependencies.tracing]
version = "0.1.40"

[dev-dependencies.assert_matches]
version = "1.5"

[build-dependencies.easyfix-messages-gen]
version = "0.6.0"

[features]
default = []
deserialize = ["easyfix-messages-gen/deserialize"]
serialize = ["easyfix-messages-gen/serialize"]
